AuthTokenEnabledComponents (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.security, enum: AuthTokenEnabledComponents

Package org.apache.geode.security

# Enum Class AuthTokenEnabledComponents

java.lang.Object
java.lang.Enum<AuthTokenEnabledComponents>
org.apache.geode.security.AuthTokenEnabledComponents

All Implemented Interfaces:
  `Serializable`, `Comparable<AuthTokenEnabledComponents>`, `Constable`

public enum AuthTokenEnabledComponents extends Enum<AuthTokenEnabledComponents>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  This determines that all rest components will use token based authentication.
  `MANAGEMENT`
  This determines that management rest service will use token based authentication.
  `PULSE`
  This determines if Pulse will use token based authentication.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `hasManagement(String value)`
  `static boolean`
  `hasPulse(String value)`
  `static AuthTokenEnabledComponents`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AuthTokenEnabledComponents[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALL

    public static final AuthTokenEnabledComponents ALL
    This determines that all rest components will use token based authentication. Since: Geode 1.11

  - ### MANAGEMENT

    public static final AuthTokenEnabledComponents MANAGEMENT
    This determines that management rest service will use token based authentication. Since: Geode 1.11

  - ### PULSE

    public static final AuthTokenEnabledComponents PULSE
    This determines if Pulse will use token based authentication. Since: Geode 1.13

- ## Method Details

  - ### values

    public static AuthTokenEnabledComponents[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AuthTokenEnabledComponents valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### hasManagement

    public static boolean hasManagement(String value)

  - ### hasPulse

    public static boolean hasPulse(String value)